## haproxy 1.6.5

=== Makefile ===
# This GNU Makefile supports different OS and CPU combinations.
#
# You should use it this way :
#   [g]make TARGET=os ARCH=arch CPU=cpu USE_xxx=1 ...
#
# Valid USE_* options are the following. Most of them are automatically set by
# the TARGET, others have to be explictly specified :
#   USE_DLMALLOC         : enable use of dlmalloc (see DLMALLOC_SRC)
#   USE_EPOLL            : enable epoll() on Linux 2.6. Automatic.
#   USE_GETSOCKNAME      : enable getsockname() on Linux 2.2. Automatic.
#   USE_KQUEUE           : enable kqueue() on BSD. Automatic.
#   USE_MY_EPOLL         : redefine epoll_* syscalls. Automatic.
#   USE_MY_SPLICE        : redefine the splice syscall if build fails without.
#   USE_NETFILTER        : enable netfilter on Linux. Automatic.
#   USE_PCRE             : enable use of libpcre for regex. Recommended.
#   USE_PCRE_JIT         : enable JIT for faster regex on libpcre >= 8.32
#   USE_POLL             : enable poll(). Automatic.
#   USE_PRIVATE_CACHE    : disable shared memory cache of ssl sessions.
#   USE_PTHREAD_PSHARED  : enable pthread process shared mutex on sslcache.
#   USE_REGPARM          : enable regparm optimization. Recommended on x86.
#   USE_STATIC_PCRE      : enable static libpcre. Recommended.
#   USE_TPROXY           : enable transparent proxy. Automatic.
#   USE_LINUX_TPROXY     : enable full transparent proxy. Automatic.
#   USE_LINUX_SPLICE     : enable kernel 2.6 splicing. Automatic.
#   USE_LIBCRYPT         : enable crypted passwords using -lcrypt
#   USE_CRYPT_H          : set it if your system requires including crypt.h
#   USE_VSYSCALL         : enable vsyscall on Linux x86, bypassing libc
#   USE_GETADDRINFO      : use getaddrinfo() to resolve IPv6 host names.
#   USE_OPENSSL          : enable use of OpenSSL. Recommended, but see below.
#   USE_LUA              : enable Lua support.
#   USE_FUTEX            : enable use of futex on kernel 2.6. Automatic.
#   USE_ACCEPT4          : enable use of accept4() on linux. Automatic.
#   USE_MY_ACCEPT4       : use own implemention of accept4() if glibc < 2.10.
#   USE_ZLIB             : enable zlib library support.
#   USE_SLZ              : enable slz library instead of zlib (pick at most one).
#   USE_CPU_AFFINITY     : enable pinning processes to CPU on Linux. Automatic.
#   USE_TFO              : enable TCP fast open. Supported on Linux >= 3.7.
#   USE_NS               : enable network namespace support. Supported on Linux >= 2.6.24.
#   USE_DL               : enable it if your system requires -ldl. Automatic on Linux.
#   USE_DEVICEATLAS      : enable DeviceAtlas api.
#   USE_51DEGREES        : enable third party device detection library from 51Degrees
#
# Options can be forced by specifying "USE_xxx=1" or can be disabled by using
# "USE_xxx=" (empty string).
#
# Variables useful for packagers :
#   CC is set to "gcc" by default and is used for compilation only.
#   LD is set to "gcc" by default and is used for linking only.
#   ARCH may be useful to force build of 32-bit binary on 64-bit systems
#   CFLAGS is automatically set for the specified CPU and may be overridden.
#   LDFLAGS is automatically set to -g and may be overridden.
#   SMALL_OPTS may be used to specify some options to shrink memory usage.
#   DEBUG may be used to set some internal debugging options.
#   ADDINC may be used to complete the include path in the form -Ipath.
#   ADDLIB may be used to complete the library list in the form -Lpath -llib.
#   DEFINE may be used to specify any additional define, which will be reported
#          by "haproxy -vv" in CFLAGS.
#   SILENT_DEFINE may be used to specify other defines which will not be
#     reported by "haproxy -vv".
#   EXTRA   is used to force building or not building some extra tools. By
#           default on Linux 2.6+, it contains "haproxy-systemd-wrapper".
#   DESTDIR is not set by default and is used for installation only.
#           It might be useful to set DESTDIR if you want to install haproxy
#           in a sandbox.
#   PREFIX  is set to "/usr/local" by default and is used for installation only.
#   SBINDIR is set to "$(PREFIX)/sbin" by default and is used for installation
#           only.
#   MANDIR  is set to "$(PREFIX)/share/man" by default and is used for
#           installation only.
#   DOCDIR  is set to "$(PREFIX)/doc/haproxy" by default and is used for
#           installation only.
#
# Other variables :
#   DLMALLOC_SRC   : build with dlmalloc, indicate the location of dlmalloc.c.
#   DLMALLOC_THRES : should match PAGE_SIZE on every platform (default: 4096).
#   PCREDIR        : force the path to libpcre.
#   PCRE_LIB       : force the lib path to libpcre (defaults to $PCREDIR/lib).
#   PCRE_INC       : force the include path to libpcre ($PCREDIR/inc)
#   SSL_LIB        : force the lib path to libssl/libcrypto
#   SSL_INC        : force the include path to libssl/libcrypto
#   LUA_LIB        : force the lib path to lua
#   LUA_INC        : force the include path to lua
#   LUA_LIB_NAME   : force the lib name (or automatically evaluated, by order of
#                                        priority : lua5.3, lua53, lua).
#   IGNOREGIT      : ignore GIT commit versions if set.
#   VERSION        : force haproxy version reporting.
#   SUBVERS        : add a sub-version (eg: platform, model, ...).
#   VERDATE        : force haproxy's release date.

#### Installation options.
DESTDIR =
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
DOCDIR = $(PREFIX)/doc/haproxy

#### TARGET system
# Use TARGET=<target_name> to optimize for a specifc target OS among the
# following list (use the default "generic" if uncertain) :
#    generic, linux22, linux24, linux24e, linux26, solaris,
#    freebsd, openbsd, netbsd, cygwin, custom, aix51, aix52
TARGET =

#### TARGET CPU
# Use CPU=<cpu_name> to optimize for a particular CPU, among the following
# list :
#    generic, native, i586, i686, ultrasparc, custom
CPU = generic

#### Architecture, used when not building for native architecture
# Use ARCH=<arch_name> to force build for a specific architecture. Known
# architectures will lead to "-m32" or "-m64" being added to CFLAGS and
# LDFLAGS. This can be required to build 32-bit binaries on 64-bit targets.
# Currently, only 32, 64, x86_64, i386, i486, i586 and i686 are understood.
ARCH =

#### Toolchain options.
# GCC is normally used both for compiling and linking.
CC = gcc
LD = $(CC)

#### Debug flags (typically "-g").
# Those flags only feed CFLAGS so it is not mandatory to use this form.
DEBUG_CFLAGS = -g

#### Compiler-specific flags that may be used to disable some negative over-
# optimization or to silence some warnings. -fno-strict-aliasing is needed with
# gcc >= 4.4.
SPEC_CFLAGS = -fno-strict-aliasing -Wdeclaration-after-statement

#### Memory usage tuning
# If small memory footprint is required, you can reduce the buffer size. There
# are 2 buffers per concurrent session, so 16 kB buffers will eat 32 MB memory
# with 1000 concurrent sessions. Putting it slightly lower than a page size
# will prevent the additional parameters to go beyond a page. 8030 bytes is
# exactly 5.5 TCP segments of 1460 bytes and is generally good. Useful tuning
# macros include :
#    SYSTEM_MAXCONN, BUFSIZE, MAXREWRITE, REQURI_LEN, CAPTURE_LEN.
# Example: SMALL_OPTS = -DBUFSIZE=8030 -DMAXREWRITE=1030 -DSYSTEM_MAXCONN=1024
SMALL_OPTS =

#### Debug settings
# You can enable debugging on specific code parts by setting DEBUG=-DDEBUG_xxx.
# Currently defined DEBUG macros include DEBUG_FULL, DEBUG_MEMORY, DEBUG_FSM,
# DEBUG_HASH and DEBUG_AUTH. Please check sources for exact meaning or do not
# use at all.
DEBUG =

#### Trace options
# Use TRACE=1 to trace function calls to file "trace.out" or to stderr if not
# possible.
TRACE =

#### Additional include and library dirs
# Redefine this if you want to add some special PATH to include/libs
ADDINC =
ADDLIB =

#### Specific macro definitions
# Use DEFINE=-Dxxx to set any tunable macro. Anything declared here will appear
# in the build options reported by "haproxy -vv". Use SILENT_DEFINE if you do
# not want to pollute the report with complex defines.
# The following settings might be of interest when SSL is enabled :
#   LISTEN_DEFAULT_CIPHERS is a cipher suite string used to set the default SSL
#           ciphers on "bind" lines instead of using OpenSSL's defaults.
#   CONNECT_DEFAULT_CIPHERS is a cipher suite string used to set the default
#           SSL ciphers on "server" lines instead of using OpenSSL's defaults.
DEFINE =
SILENT_DEFINE =

#### extra programs to build (eg: haproxy-systemd-wrapper)
# Force this to enable building extra programs or to disable them.
# It's automatically appended depending on the targets.
EXTRA =

#### CPU dependant optimizations
# Some CFLAGS are set by default depending on the target CPU. Those flags only
# feed CPU_CFLAGS, which in turn feed CFLAGS, so it is not mandatory to use
# them. You should not have to change these options. Better use CPU_CFLAGS or
# even CFLAGS instead.
CPU_CFLAGS.generic    = -O2
CPU_CFLAGS.native     = -O2 -march=native
CPU_CFLAGS.i586       = -O2 -march=i586
CPU_CFLAGS.i686       = -O2 -march=i686
CPU_CFLAGS.ultrasparc = -O6 -mcpu=v9 -mtune=ultrasparc
CPU_CFLAGS            = $(CPU_CFLAGS.$(CPU))

#### ARCH dependant flags, may be overriden by CPU flags
ARCH_FLAGS.32     = -m32
ARCH_FLAGS.64     = -m64
ARCH_FLAGS.i386   = -m32 -march=i386
ARCH_FLAGS.i486   = -m32 -march=i486
ARCH_FLAGS.i586   = -m32 -march=i586
ARCH_FLAGS.i686   = -m32 -march=i686
ARCH_FLAGS.x86_64 = -m64 -march=x86-64
ARCH_FLAGS        = $(ARCH_FLAGS.$(ARCH))

#### Common CFLAGS
# These CFLAGS contain general optimization options, CPU-specific optimizations
# and debug flags. They may be overridden by some distributions which prefer to
# set all of them at once instead of playing with the CPU and DEBUG variables.
CFLAGS = $(ARCH_FLAGS) $(CPU_CFLAGS) $(DEBUG_CFLAGS) $(SPEC_CFLAGS)

#### Common LDFLAGS
# These LDFLAGS are used as the first "ld" options, regardless of any library
# path or any other option. They may be changed to add any linker-specific
# option at the beginning of the ld command line.
LDFLAGS = $(ARCH_FLAGS) -g

#### Target system options
# Depending on the target platform, some options are set, as well as some
# CFLAGS and LDFLAGS. The USE_* values are set to "implicit" so that they are
# not reported in the build options string. You should not have to change
# anything there. poll() is always supported, unless explicitly disabled by
# passing USE_POLL="" on the make command line.
USE_POLL   = default

ifeq ($(TARGET),generic)
  # generic system target has nothing specific
  USE_POLL   = implicit
  USE_TPROXY = implicit
else
ifeq ($(TARGET),linux22)
  # This is for Linux 2.2
  USE_GETSOCKNAME = implicit
  USE_POLL        = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
  USE_DL          = implicit
else
ifeq ($(TARGET),linux24)
  # This is for standard Linux 2.4 with netfilter but without epoll()
  USE_GETSOCKNAME = implicit
  USE_NETFILTER   = implicit
  USE_POLL        = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
  USE_DL          = implicit
else
ifeq ($(TARGET),linux24e)
  # This is for enhanced Linux 2.4 with netfilter and epoll() patch > 0.21
  USE_GETSOCKNAME = implicit
  USE_NETFILTER   = implicit
  USE_POLL        = implicit
  USE_EPOLL       = implicit
  USE_MY_EPOLL    = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
  USE_DL          = implicit
else
ifeq ($(TARGET),linux26)
  # This is for standard Linux 2.6 with netfilter and standard epoll()
  USE_GETSOCKNAME = implicit
  USE_NETFILTER   = implicit
  USE_POLL        = implicit
  USE_EPOLL       = implicit
  USE_TPROXY      = implicit
  USE_LIBCRYPT    = implicit
  USE_FUTEX       = implicit
  EXTRA          += haproxy-systemd-wrapper
  USE_DL          = implicit
else
ifeq ($(TARGET),linux2628)

=== debian/changelog ===
haproxy (1.6.5-2) unstable; urgency=high

  * Add a patch to fix CVE-2016-5360. Closes: #826869.
    + BUG/MAJOR: http: fix breakage of "reqdeny" causing random crashes

 -- Vincent Bernat <bernat@debian.org>  Sat, 11 Jun 2016 22:23:50 +0200

haproxy (1.6.5-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: channel: fix miscalculation of available buffer space
    + BUG/MAJOR: Fix crash in http_get_fhdr with exactly MAX_HDR_HISTORY
      headers
    + BUG/MEDIUM: channel: don't allow to overwrite the reserve until
      connected
    + BUG/MEDIUM: channel: fix inconsistent handling of 4GB-1 transfers
    + BUG/MEDIUM: channel: incorrect polling condition may delay event
      delivery
    + BUG/MEDIUM: dns: fix alignment issue when building DNS queries
    + BUG/MEDIUM: fix maxaccept computation on per-process listeners
    + BUG/MEDIUM: Fix RFC5077 resumption when more than TLS_TICKETS_NO are
      present
    + BUG/MEDIUM: http: fix risk of CPU spikes with pipelined requests from
      dead client
    + BUG/MEDIUM: log: fix risk of segfault when logging HTTP fields in TCP
      mode
    + BUG/MEDIUM: lua: protects the upper boundary of the argument list for
      converters/fetches.
    + BUG/MEDIUM: peers: fix incorrect age in frequency counters
    + BUG/MEDIUM: sample: initialize the pointer before parse_binary call.
    + BUG/MEDIUM: stats: show backend may show an empty or incomplete result
    + BUG/MEDIUM: stats: show servers state may show an empty or incomplete
      result
    + BUG/MEDIUM: stick-tables: some sample-fetch doesn't work in the
      connection state.
    + BUG/MEDIUM: stream: ensure the SI_FL_DONT_WAKE flag is properly cleared
    + BUG/MEDIUM: trace.c: rdtsc() is defined in two files
    + MEDIUM: unblock signals on startup.
  * Bump standards to 3.9.8; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 11 May 2016 11:07:24 +0300

=== debian/control ===
Source: haproxy
Section: net
Priority: optional
Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
           Prach Pongpanich <prach@debian.org>,
           Vincent Bernat <bernat@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               libpcre3-dev,
               libssl-dev,
               liblua5.3-dev,
               dh-systemd (>= 1.5),
               python-sphinx (>= 1.0.7+dfsg)
Build-Depends-Indep: python, python-mako
Homepage: http://www.haproxy.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-haproxy/haproxy.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git

Package: haproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Pre-Depends: dpkg (>= 1.17.14)
Suggests: vim-haproxy, haproxy-doc
Description: fast and reliable load balancing reverse proxy
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.

Package: haproxy-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${misc:Depends}, libjs-bootstrap (<< 4), libjs-jquery,
 ${sphinxdoc:Depends}
Pre-Depends: dpkg (>= 1.17.14)
Description: fast and reliable load balancing reverse proxy (HTML documentation)
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.
 .
 This package contains the HTML documentation for haproxy.

Package: vim-haproxy
Architecture: all
Depends: ${misc:Depends}
Recommends: vim-addon-manager
Description: syntax highlighting for HAProxy configuration files
 The vim-haproxy package provides filetype detection and syntax highlighting
 for HAProxy configuration files.
 .
 As per the Debian vim policy, installed addons are not activated
 automatically, but the "vim-addon-manager" tool can be used for this purpose.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MAKEARGS=DESTDIR=debian/haproxy \
	 PREFIX=/usr \
	 IGNOREGIT=true \
	 MANDIR=/usr/share/man \
	 DOCDIR=/usr/share/doc/haproxy \
	 USE_PCRE=1 PCREDIR= \
	 USE_OPENSSL=1 \
	 USE_ZLIB=1 \
	 USE_LUA=1 \
	 LUA_INC=/usr/include/lua5.3

OS_TYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(OS_TYPE),linux)
        MAKEARGS+= TARGET=linux2628
else ifeq ($(OS_TYPE),kfreebsd)
        MAKEARGS+= TARGET=freebsd
else
	MAKEARGS+= TARGET=generic
endif

ifneq ($(filter amd64 i386, $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)),)
	MAKEARGS+= USE_REGPARM=1
else ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_CPU),amd64)
	MAKEARGS+= USE_REGPARM=1
endif

MAKEARGS += CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

%:
	dh $@ --with systemd,sphinxdoc

override_dh_auto_configure:

override_dh_auto_build-arch:
	make $(MAKEARGS)
	make -C contrib/systemd $(MAKEARGS)
	dh_auto_build -Dcontrib/halog
	$(MAKE) -C doc/lua-api man

override_dh_auto_build-indep:
	# Build the HTML documentation, after patching dconv
	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
		-i $(CURDIR)/doc/configuration.txt \
		-o $(CURDIR)/doc/configuration.html
	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
		-i $(CURDIR)/doc/intro.txt \
		-o $(CURDIR)/doc/intro.html
	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
	$(MAKE) -C doc/lua-api html

override_dh_auto_clean:
	make -C contrib/systemd clean
	$(MAKE) -C doc/lua-api clean
	dh_auto_clean
	dh_auto_clean -Dcontrib/halog

override_dh_auto_install-arch:
	make $(MAKEARGS) install
	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy

override_dh_auto_install-indep:

override_dh_installdocs:
	dh_installdocs -Xsystemd/ -Xhalog/

override_dh_installexamples:
	dh_installexamples -X build.cfg

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_strip:
	dh_strip --dbgsym-migration="haproxy-dbg"

## haproxy 1.6.6

=== debian/changelog ===
haproxy (1.6.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 28 Jun 2016 12:02:38 +0200

haproxy (1.6.6-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: fix listening IP address storage for frontends
    + BUG/MAJOR: http: fix breakage of "reqdeny" causing random crashes
    + BUG/MEDIUM: stick-tables: fix breakage in table converters
    + BUG/MEDIUM: dns: unbreak DNS resolver after header fix
    + BUG/MEDIUM: stats: show servers state may show an servers from another
      backend
    + BUG/MEDIUM: fix risk of segfault with "show tls-keys"
    + BUG/MEDIUM: sticktables: segfault in some configuration error cases
    + BUG/MEDIUM: lua: converters doesn't work
    + BUG/MEDIUM: http: add-header: buffer overwritten
    + BUG/MEDIUM: external-checks: close all FDs right after the fork()
    + BUG/MAJOR: external-checks: use asynchronous signal delivery
  * Drop haproxy.service-check-config-before-reload.patch. Applied
    upstream.

 -- Vincent Bernat <bernat@debian.org>  Tue, 28 Jun 2016 10:13:33 +0200

haproxy (1.6.5-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Jun 2016 20:14:47 +0200

haproxy (1.6.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 16 May 2016 13:58:28 +0200

## haproxy 1.6.7

=== debian/changelog ===
haproxy (1.6.7-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Depends on libssl-dev from backports to bring ALPN support.

 -- Vincent Bernat <bernat@debian.org>  Sun, 17 Jul 2016 19:21:30 +0200

haproxy (1.6.7-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: fix use-after-free crash on start
    + BUG/MEDIUM: dns: fix alignment issues in the DNS response parser

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Jul 2016 08:29:43 +0200

## haproxy 1.6.8

=== Makefile ===
--- 
+++ 
@@ -49,6 +49,7 @@
 #   ARCH may be useful to force build of 32-bit binary on 64-bit systems
 #   CFLAGS is automatically set for the specified CPU and may be overridden.
 #   LDFLAGS is automatically set to -g and may be overridden.
+#   DEP may be cleared to ignore changes to include files during development
 #   SMALL_OPTS may be used to specify some options to shrink memory usage.
 #   DEBUG may be used to set some internal debugging options.
 #   ADDINC may be used to complete the include path in the form -Ipath.
@@ -258,6 +259,3 @@
   USE_LIBCRYPT    = implicit
   USE_FUTEX       = implicit
   EXTRA          += haproxy-systemd-wrapper
-  USE_DL          = implicit
-else
-ifeq ($(TARGET),linux2628)

=== debian/changelog ===
haproxy (1.6.8-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 17 Aug 2016 06:41:40 +0200

haproxy (1.6.8-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: compression: initialize avail_in/next_in even during
      flush
    + BUG/MAJOR: server: the "sni" directive could randomly cause trouble
    + BUG/MAJOR: stick-counters: possible crash when using sc_trackers
      with wrong table

 -- Vincent Bernat <bernat@debian.org>  Sun, 14 Aug 2016 14:17:08 +0200

## haproxy 1.6.9

=== debian/changelog ===
haproxy (1.6.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 02 Sep 2016 06:54:01 +0200

haproxy (1.6.9-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: stream: properly mark the server address as unset on
      connect retry

 -- Vincent Bernat <bernat@debian.org>  Wed, 31 Aug 2016 07:44:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
                libpcre3-dev,
-               libssl-dev,
+               libssl-dev (>= 1.0.2),
                liblua5.3-dev,
                dh-systemd (>= 1.5),
                python-sphinx (>= 1.0.7+dfsg)
@@ -28,6 +28,20 @@
  cookies, load balancing, header addition, modification, deletion both ways. It
  has request blocking capabilities and provides interface to display server
  status.
+
+Package: haproxy-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends}, haproxy (= ${binary:Version})
+Description: fast and reliable load balancing reverse proxy (debug symbols)
+ HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
+ availability environments. It features connection persistence through HTTP
+ cookies, load balancing, header addition, modification, deletion both ways. It
+ has request blocking capabilities and provides interface to display server
+ status.
+ .
+ This package contains the debugging symbols for haproxy.
 
 Package: haproxy-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -79,4 +79,4 @@
 	dh_installinit --no-restart-on-upgrade
 
 override_dh_strip:
-	dh_strip --dbgsym-migration="haproxy-dbg"
+	dh_strip --dbg-package=haproxy-dbg

## haproxy 1.6.10

=== debian/changelog ===
haproxy (1.6.10-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 23 Nov 2016 08:09:38 +0100

haproxy (1.6.10-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + Fix retransmits in proxy mode and rare cases of unkillable tasks.
    + systemd wrapper: do not leave old processes behind when reloading too
      fast.
    + systemd wrapper: correctly set the status code.
    + Fix two bugs in the peers' task management possibly causing some
      CLOSE_WAIT connection after some rare race conditions.
    + Make SO_REUSEPORT use configurable via the "-dR" command line switch
      or the "noreuseport" config option in the global section.
  * B-D on libssl1.0-dev (Closes: #828337); upstream does not currently
    support OpenSSL 1.1 for the 1.6 series.
  * haproxy: depend on lsb-base for the initscript's use of
    /lib/lsb/init-functions.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 21 Nov 2016 11:46:16 +0200

haproxy (1.6.9-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 30 Sep 2016 21:44:55 +0300

haproxy (1.6.9-2) unstable; urgency=medium

  * Enable Linux namespace support.
  * Pass the full Debian version and package release date from d/changelog to
    the build system.
  * initscript: reorder the reload command arguments to always parse EXTRAOPTS
    properly.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 28 Sep 2016 10:45:43 +0300

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 Package: haproxy
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
 Pre-Depends: dpkg (>= 1.17.14)
 Suggests: vim-haproxy, haproxy-doc
 Description: fast and reliable load balancing reverse proxy

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 OS_TYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 ifeq ($(OS_TYPE),linux)
-        MAKEARGS+= TARGET=linux2628
+        MAKEARGS+= USE_NS=1 TARGET=linux2628
 else ifeq ($(OS_TYPE),kfreebsd)
         MAKEARGS+= TARGET=freebsd
 else
@@ -32,6 +32,10 @@
 
 MAKEARGS += CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
 MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
+MAKEARGS += VERSION="$(shell dpkg-parsechangelog -SVersion)"
+
+DEBD=$(shell dpkg-parsechangelog -SDate)
+MAKEARGS += VERDATE="$(shell TZ=UTC date -d "$(DEBDATE)" "+%Y/%m/%d")"
 
 %:
 	dh $@ --with systemd,sphinxdoc

## haproxy 1.7.1

=== debian/changelog ===
haproxy (1.7.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 17 Dec 2016 21:01:42 +0100

haproxy (1.7.1-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable.
  * Notable new features since 1.6:
    + SPOE (stream processing offload engine) : ability to delegate some
      slow, unreliable or dangerous processing to external processes.
    + More statistics in the CSV output.
    + Support of directories for config files: if the argument to -f
      is a directory, all files found there are loaded in alphabetical order.
    + It is now possible to set/unset/preset environment variables directly in
      the global section and query them through the CLI.
    + The CLI makes it possible to change a server's address, port, maxconn,
      check address and port at runtime, without reloading haproxy.
    + Support for multiple certificates: different certificates for the same
      domain so that the best one can be picked according to browser support.
      The main use is to be able to deliver ECDSA certificates to clients
      supporting them, without breaking compatibility with older clients.
    + SO_REUSEPORT is now configurable and can be disabled.
    + Updates to the Lua API, including new classes to access many internal
      objects like listeners, servers, proxies etc.
    + Support for a new type of maps consisting of regular expressions with
      replacement values.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 13 Dec 2016 12:32:32 +0200

haproxy (1.7.0-1) experimental; urgency=medium

  * New upstream stable series.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 25 Nov 2016 18:00:55 +0200

haproxy (1.7~dev6-1) experimental; urgency=medium

  * New upstream development release (Closes: #828337)
  * Upload to experimental
  * d/watch: look for 1.7
  * B-D on zlib1g-dev
  * haproxy: Depend on lsb-base for the initscript
  * Ship additional plain-text documentation
  * haproxy-doc: ship HTML version of management.txt
  * Update the default SSL cipher list and add a link to Mozilla's SSL
    configuration generator (Closes: #840735)
  * d/rules: use SUBVERS to pass the Debian revision to HAPROXY_VERSION

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 10 Nov 2016 16:02:27 +0200

## haproxy 1.7.2

=== debian/changelog ===
haproxy (1.7.2-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + Fix a regression whereby fragmented requests were randomly flagged as
      bad requests depending on previous buffer contents; this was noticable
      under low load with authenticated requests.
    + Fix dynamic address resolution for IPv6-only hosts.
    + Make sure SSL sessions are not reused when the SNI changes. This makes
      SNI and SSL health checks play nice together.
    + Minor improvements:
      - Add the ability to perform actions on multiple servers via the stats
        page.
      - Add the ability to specify a custom HTTP reason field in generated
        responses.
      - New sample fetch function, `fc_rcvd_proxy', indicating wheter the
        PROXY protocol was used on the frontend for a connection or not.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 13 Jan 2017 14:49:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,8 @@
 
 MAKEARGS += CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
 MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
-MAKEARGS += VERSION="$(shell dpkg-parsechangelog -SVersion)"
+MAKEARGS += VERSION="$(shell dpkg-parsechangelog -SVersion | cut -d - -f 1)"
+MAKEARGS += SUBVERS="-$(shell dpkg-parsechangelog -SVersion | cut -d - -f 2)"
 
 DEBD=$(shell dpkg-parsechangelog -SDate)
 MAKEARGS += VERDATE="$(shell TZ=UTC date -d "$(DEBDATE)" "+%Y/%m/%d")"
@@ -51,12 +52,11 @@
 override_dh_auto_build-indep:
 	# Build the HTML documentation, after patching dconv
 	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
-	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
-		-i $(CURDIR)/doc/configuration.txt \
-		-o $(CURDIR)/doc/configuration.html
-	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
-		-i $(CURDIR)/doc/intro.txt \
-		-o $(CURDIR)/doc/intro.html
+	for doc in intro configuration management; do \
+		python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
+			-i $(CURDIR)/doc/$${doc}.txt \
+			-o $(CURDIR)/doc/$${doc}.html ;\
+	done
 	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
 	$(MAKE) -C doc/lua-api html
 
@@ -83,4 +83,4 @@
 	dh_installinit --no-restart-on-upgrade
 
 override_dh_strip:
-	dh_strip --dbg-package=haproxy-dbg
+	dh_strip --dbgsym-migration="haproxy-dbg"

## haproxy 1.7.3

=== debian/changelog ===
haproxy (1.7.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 02 Mar 2017 21:37:10 +0100

haproxy (1.7.3-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    - BUG/MAJOR: lua segmentation fault when the request is like 'GET
                 ?arg=val HTTP/1.1'
    - BUG/MAJOR: dns: restart sockets after fork()
    - BUG/MEDIUM: tcp: don't poll for write when connect() succeeds
    - BUG/MEDIUM: http: prevent redirect from overwriting a buffer
    - BUG/MEDIUM: filters: Do not truncate HTTP response when body length
                  is undefined
    - BUG/MEDIUM: http: Prevent replace-header from overwriting a buffer
    - BUG/MEDIUM: config: reject anything but "if" or "unless" after a
                  use-backend rule

 -- Vincent Bernat <bernat@debian.org>  Wed, 01 Mar 2017 20:03:12 +0100

haproxy (1.7.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 17 Jan 2017 07:14:59 +0100

## haproxy 1.7.5

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,7 @@
 #   USE_DL               : enable it if your system requires -ldl. Automatic on Linux.
 #   USE_DEVICEATLAS      : enable DeviceAtlas api.
 #   USE_51DEGREES        : enable third party device detection library from 51Degrees
+#   USE_WURFL            : enable WURFL detection library from Scientiamobile
 #
 # Options can be forced by specifying "USE_xxx=1" or can be disabled by using
 # "USE_xxx=" (empty string).
@@ -99,7 +100,7 @@
 # Use TARGET=<target_name> to optimize for a specifc target OS among the
 # following list (use the default "generic" if uncertain) :
 #    generic, linux22, linux24, linux24e, linux26, solaris,
-#    freebsd, openbsd, netbsd, cygwin, custom, aix51, aix52
+#    freebsd, openbsd, netbsd, cygwin, haiku, custom, aix51, aix52
 TARGET =
 
 #### TARGET CPU
@@ -143,8 +144,8 @@
 #### Debug settings
 # You can enable debugging on specific code parts by setting DEBUG=-DDEBUG_xxx.
 # Currently defined DEBUG macros include DEBUG_FULL, DEBUG_MEMORY, DEBUG_FSM,
-# DEBUG_HASH and DEBUG_AUTH. Please check sources for exact meaning or do not
-# use at all.
+# DEBUG_HASH, DEBUG_AUTH and DEBUG_SPOE. Please check sources for exact meaning
+# or do not use at all.
 DEBUG =
 
 #### Trace options
@@ -221,6 +222,12 @@
   USE_POLL   = implicit
   USE_TPROXY = implicit
 else
+ifeq ($(TARGET),haiku)
+  # For Haiku
+  TARGET_LDFLAGS = -lnetwork
+  USE_POLL = implicit
+  USE_TPROXY = implicit
+else
 ifeq ($(TARGET),linux22)
   # This is for Linux 2.2
   USE_GETSOCKNAME = implicit
@@ -252,10 +259,3 @@
 ifeq ($(TARGET),linux26)
   # This is for standard Linux 2.6 with netfilter and standard epoll()
   USE_GETSOCKNAME = implicit
-  USE_NETFILTER   = implicit
-  USE_POLL        = implicit
-  USE_EPOLL       = implicit
-  USE_TPROXY      = implicit
-  USE_LIBCRYPT    = implicit
-  USE_FUTEX       = implicit
-  EXTRA          += haproxy-systemd-wrapper

=== contrib/spoa_example/Makefile ===
DESTDIR =
PREFIX  = /usr/local
BINDIR  = $(PREFIX)/bin

CC = gcc
LD = $(CC)

CFLAGS  = -g -O2 -Wall -Werror -pthread
LDFLAGS = -lpthread

OBJS = spoa.o


spoa: $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $^

install: spoa
	install spoa $(DESTDIR)$(BINDIR)

clean:
	rm -f spoa $(OBJS)

%.o:	%.c
	$(CC) $(CFLAGS) -c -o $@ $<

=== debian/changelog ===
haproxy (1.7.5-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 27 May 2017 12:31:02 +0200

haproxy (1.7.5-2) unstable; urgency=medium

  * Enable getaddrinfo() support, allowing resolution of hostnames to IPv6
    addresses (Closes: #862780). Thanks to Anton Eliasson
    <devel@antoneliasson.se>!

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 17 May 2017 13:01:45 +0300

haproxy (1.7.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Apr 2017 16:07:51 +0200

haproxy (1.7.5-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MEDIUM: peers: fix buffer overflow control in intdecode.
    - BUG/MEDIUM: buffers: Fix how input/output data are injected into buffers
    - BUG/MEDIUM: http: Fix blocked HTTP/1.0 responses when compression is
      enabled

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 04 Apr 2017 14:25:38 +0300

haproxy (1.7.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 02 Apr 2017 14:55:21 +0200

haproxy (1.7.4-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    - BUG/MAJOR: connection: update CO_FL_CONNECTED before calling the
                 data layer
    - BUG/MAJOR: http: fix typo in http_apply_redirect_rule
    - BUG/MAJOR: stream-int: do not depend on connection flags to detect
                 connection
    - BUG/MEDIUM: cli: Prevent double free in CLI ACL lookup
    - BUG/MEDIUM: connection: ensure to always report the end of handshakes
    - BUG/MEDIUM: listener: do not try to rebind another process' socket
    - BUG/MEDIUM: stream: fix client-fin/server-fin handling
    - BUG/MEDIUM: tcp: don't require privileges to bind to device

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Mar 2017 11:01:14 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                libssl-dev (>= 1.0.2),
                liblua5.3-dev,
                dh-systemd (>= 1.5),
-               python-sphinx (>= 1.0.7+dfsg)
+               python-sphinx (>= 1.0.7+dfsg),
+               zlib1g-dev
 Build-Depends-Indep: python, python-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-haproxy/haproxy.git

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	 USE_OPENSSL=1 \
 	 USE_ZLIB=1 \
 	 USE_LUA=1 \
+	 USE_GETADDRINFO=1 \
 	 LUA_INC=/usr/include/lua5.3
 
 OS_TYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
@@ -83,4 +84,4 @@
 	dh_installinit --no-restart-on-upgrade
 
 override_dh_strip:
-	dh_strip --dbgsym-migration="haproxy-dbg"
+	dh_strip --dbg-package=haproxy-dbg

=== debian/watch ===
version=3
opts="uversionmangle=s/-(dev\d+)/~$1/" http://www.haproxy.org/download/1.7/src/ haproxy-(1\.7(?:\.|-dev)\d+)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## haproxy 1.7.8

=== debian/changelog ===
haproxy (1.7.8-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jul 2017 08:43:35 +0200

haproxy (1.7.8-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MAJOR: cli: fix custom io_release was crushed by NULL.
    - BUG/MAJOR: compression: Be sure to release the compression state in
                 all cases
    - BUG/MAJOR: map: fix segfault during 'show map/acl' on cli.
    - BUG/MEDIUM: filters: Be sure to call flt_end_analyze for both
                  channels
    - BUG/MEDIUM: map/acl: fix unwanted flags inheritance.
  * Bump Standards-Version to 4.0.0. No changes needed.
  * Update d/watch to use https.

 -- Vincent Bernat <bernat@debian.org>  Sat, 08 Jul 2017 08:24:35 +0200

haproxy (1.7.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 28 Jun 2017 20:36:55 +0200

haproxy (1.7.7-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MEDIUM: http: Drop the connection establishment when a redirect
                  is performed
    - BUG/MEDIUM: cfgparse: Check if tune.http.maxhdr is in the range
                  1..32767

 -- Vincent Bernat <bernat@debian.org>  Mon, 26 Jun 2017 14:06:48 +0200

haproxy (1.7.6-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MAJOR: Use -fwrapv.
    - BUG/MAJOR: http: call manage_client_side_cookies() before erasing
                 the buffer
    - BUG/MAJOR: server: Segfault after parsing server state file.
    - BUG/MEDIUM: acl: don't free unresolved args in prune_acl_expr()
    - BUG/MEDIUM: acl: proprely release unused args in prune_acl_expr()
    - BUG/MEDIUM: arg: ensure that we properly unlink unresolved arguments
                  on error
    - BUG/MEDIUM: lua: memory leak
    - BUG/MEDIUM: lua: segfault if a converter or a sample doesn't return
                  anything
    - BUG/MEDIUM: peers: Peers CLOSE_WAIT issue.
    - BUG/MEDIUM: unix: never unlink a unix socket from the file system

 -- Vincent Bernat <bernat@debian.org>  Sun, 18 Jun 2017 12:34:40 +0200

## haproxy 1.7.9

=== debian/changelog ===
haproxy (1.7.9-1ubuntu1) artful; urgency=medium

  * Backport of -x option from upstream haproxy to enable seamless 
    reloading of haproxy without dropping connections.  This is enabled
    by adding
    " stats socket <stats file> expose-fd listeners
      stats bind-process 1 "
    to the global section of your haproxy config, and
    setting HAPROXY_STATS_SOCKET in the haproxy.service unit file.
    (LP: #1712925)

 -- Dave Chiluk <chiluk@ubuntu.com>  Thu, 14 Sep 2017 12:32:36 -0500

haproxy (1.7.9-1) unstable; urgency=medium

  * New upstream version release (see CHANGELOG):
    - BUG/MAJOR: lua/socket: resources not destroyed when the socket is
                 aborted
    - BUG/MEDIUM: lua: bad memory access
    - BUG/MEDIUM: http: Switch HTTP responses in TUNNEL mode when body
                  length is undefined

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Aug 2017 12:05:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 9),
                libpcre3-dev,
-               libssl-dev (>= 1.0.2),
+               libssl-dev,
                liblua5.3-dev,
                dh-systemd (>= 1.5),
                python-sphinx (>= 1.0.7+dfsg),
@@ -29,20 +30,6 @@
  cookies, load balancing, header addition, modification, deletion both ways. It
  has request blocking capabilities and provides interface to display server
  status.
-
-Package: haproxy-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends}, haproxy (= ${binary:Version})
-Description: fast and reliable load balancing reverse proxy (debug symbols)
- HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
- availability environments. It features connection persistence through HTTP
- cookies, load balancing, header addition, modification, deletion both ways. It
- has request blocking capabilities and provides interface to display server
- status.
- .
- This package contains the debugging symbols for haproxy.
 
 Package: haproxy-doc
 Section: doc

=== debian/watch ===
version=3
opts="uversionmangle=s/-(dev\d+)/~$1/" https://www.haproxy.org/download/1.7/src/ haproxy-(1\.7(?:\.|-dev)\d+)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
